package jeoip;

/** Country names and ISO country codes from ISO 3166,
 * supplemented by and in correct order for GeoIP database
 * record number matching.
 */
public class Countries {

	public static Country getCountry(int n) {
		if (n < 0 || n > list.length) {
			return null;
		}
		return list[n];
	}

	public static final Country[] list = {
		new Country("--","--","--","--"),
		new Country("Asia/Pacific Region","AP","AP",Continent.ASIA_PACIFIC),
		new Country("Europe","EU","EU",Continent.EUROPE),
		new Country("Andorra","AD","AND",Continent.EUROPE),
		new Country("United Arab Emirates","AE","ARE",Continent.ASIA_PACIFIC),
		new Country("Afghanistan","AF","AFG",Continent.ASIA_PACIFIC),
		new Country("Antigua and Barbuda","AG","ATG",Continent.SOUTH_AMERICA),
		new Country("Anguilla","AI","AIA",Continent.SOUTH_AMERICA),
		new Country("Albania","AL","ALB",Continent.EUROPE),
		new Country("Armenia","AM","ARM",Continent.ASIA_PACIFIC),
		new Country("Netherlands Antilles","AN","ANT",Continent.SOUTH_AMERICA),
		new Country("Angola","AO","AGO",Continent.AFRICA),
		new Country("Antarctica","AQ","AQ",Continent.ANTARCTICA),
		new Country("Argentina","AR","ARG",Continent.SOUTH_AMERICA),
		new Country("American Samoa","AS","ASM",Continent.OFF_CONTINENT),
		new Country("Austria","AT","AUT",Continent.EUROPE),
		new Country("Australia","AU","AUS",Continent.OFF_CONTINENT),
		new Country("Aruba","AW","ABW",Continent.SOUTH_AMERICA),
		new Country("Azerbaijan","AZ","AZE",Continent.ASIA_PACIFIC),
		new Country("Bosnia and Herzegovina","BA","BIH",Continent.EUROPE),
		new Country("Barbados","BB","BRB",Continent.SOUTH_AMERICA),
		new Country("Bangladesh","BD","BGD",Continent.ASIA_PACIFIC),
		new Country("Belgium","BE","BEL",Continent.EUROPE),
		new Country("Burkina Faso","BF","BFA",Continent.AFRICA),
		new Country("Bulgaria","BG","BGR",Continent.EUROPE),
		new Country("Bahrain","BH","BHR",Continent.ASIA_PACIFIC),
		new Country("Burundi","BI","BDI",Continent.AFRICA),
		new Country("Benin","BJ","BEN",Continent.AFRICA),
		new Country("Bermuda","BM","BMU",Continent.SOUTH_AMERICA),
		new Country("Brunei Darussalam","BN","BRN",Continent.ASIA_PACIFIC),
		new Country("Bolivia","BO","BOL",Continent.SOUTH_AMERICA),
		new Country("Brazil","BR","BRA",Continent.SOUTH_AMERICA),
		new Country("Bahamas","BS","BHS",Continent.SOUTH_AMERICA),
		new Country("Bhutan","BT","BTN",Continent.ASIA_PACIFIC),
		new Country("Bouvet Island","BV","BV",Continent.AFRICA),
		new Country("Botswana","BW","BWA",Continent.AFRICA),
		new Country("Belarus","BY","BLR",Continent.EUROPE),
		new Country("Belize","BZ","BLZ",Continent.SOUTH_AMERICA),
		new Country("Canada","CA","CAN",Continent.NORTH_AMERICA),
		new Country("Cocos (Keeling) Islands","CC","CC",Continent.ASIA_PACIFIC),
		new Country("Congo, The Democratic Republic of the","CD","COD",Continent.AFRICA),
		new Country("Central African Republic","CF","CAF",Continent.AFRICA),
		new Country("Congo","CG","COG",Continent.AFRICA),
		new Country("Switzerland","CH","CHE",Continent.EUROPE),
		new Country("Cote D'Ivoire","CI","CIV",Continent.AFRICA),
		new Country("Cook Islands","CK","COK",Continent.OFF_CONTINENT),
		new Country("Chile","CL","CHL",Continent.SOUTH_AMERICA),
		new Country("Cameroon","CM","CMR",Continent.AFRICA),
		new Country("China","CN","CHN",Continent.ASIA_PACIFIC),
		new Country("Colombia","CO","COL",Continent.SOUTH_AMERICA),
		new Country("Costa Rica","CR","CRI",Continent.SOUTH_AMERICA),
		new Country("Cuba","CU","CUB",Continent.SOUTH_AMERICA),
		new Country("Cape Verde","CV","CPV",Continent.AFRICA),
		new Country("Christmas Island","CX","CX",Continent.ASIA_PACIFIC),
		new Country("Cyprus","CY","CYP",Continent.ASIA_PACIFIC),
		new Country("Czech Republic","CZ","CZE",Continent.EUROPE),
		new Country("Germany","DE","DEU",Continent.EUROPE),
		new Country("Djibouti","DJ","DJI",Continent.AFRICA),
		new Country("Denmark","DK","DNK",Continent.EUROPE),
		new Country("Dominica","DM","DMA",Continent.SOUTH_AMERICA),
		new Country("Dominican Republic","DO","DOM",Continent.SOUTH_AMERICA),
		new Country("Algeria","DZ","DZA",Continent.AFRICA),
		new Country("Ecuador","EC","ECU",Continent.SOUTH_AMERICA),
		new Country("Estonia","EE","EST",Continent.EUROPE),
		new Country("Egypt","EG","EGY",Continent.AFRICA),
		new Country("Western Sahara","EH","ESH",Continent.AFRICA),
		new Country("Eritrea","ER","ERI",Continent.AFRICA),
		new Country("Spain","ES","ESP",Continent.EUROPE),
		new Country("Ethiopia","ET","ETH",Continent.AFRICA),
		new Country("Finland","FI","FIN",Continent.EUROPE),
		new Country("Fiji","FJ","FJI",Continent.OFF_CONTINENT),
		new Country("Falkland Islands (Malvinas)","FK","FLK",Continent.SOUTH_AMERICA),
		new Country("Micronesia, Federated States of","FM","FSM",Continent.OFF_CONTINENT),
		new Country("Faroe Islands","FO","FRO",Continent.EUROPE),
		new Country("France","FR","FRA",Continent.EUROPE),
		new Country("France, Metropolitan","FX","FX",Continent.EUROPE),
		new Country("Gabon","GA","GAB",Continent.AFRICA),
		new Country("United Kingdom","GB","GBR",Continent.EUROPE),
		new Country("Grenada","GD","GRD",Continent.SOUTH_AMERICA),
		new Country("Georgia","GE","GEO",Continent.ASIA_PACIFIC),
		new Country("French Guiana","GF","GUF",Continent.SOUTH_AMERICA),
		new Country("Ghana","GH","GHA",Continent.AFRICA),
		new Country("Gibraltar","GI","GIB",Continent.EUROPE),
		new Country("Greenland","GL","GRL",Continent.SOUTH_AMERICA),
		new Country("Gambia","GM","GMB",Continent.AFRICA),
		new Country("Guinea","GN","GIN",Continent.AFRICA),
		new Country("Guadeloupe","GP","GLP",Continent.SOUTH_AMERICA),
		new Country("Equatorial Guinea","GQ","GNQ",Continent.AFRICA),
		new Country("Greece","GR","GRC",Continent.EUROPE),
		new Country("South Georgia and the South Sandwich Islands","GS","GS",Continent.SOUTH_AMERICA),
		new Country("Guatemala","GT","GTM",Continent.SOUTH_AMERICA),
		new Country("Guam","GU","GUM",Continent.OFF_CONTINENT),
		new Country("Guinea-Bissau","GW","GNB",Continent.AFRICA),
		new Country("Guyana","GY","GUY",Continent.SOUTH_AMERICA),
		new Country("Hong Kong","HK","HKG",Continent.ASIA_PACIFIC),
		new Country("Heard Island and McDonald Islands","HM","HM",Continent.AFRICA),
		new Country("Honduras","HN","HND",Continent.SOUTH_AMERICA),
		new Country("Croatia","HR","HRV",Continent.EUROPE),
		new Country("Haiti","HT","HTI",Continent.SOUTH_AMERICA),
		new Country("Hungary","HU","HUN",Continent.EUROPE),
		new Country("Indonesia","ID","IDN",Continent.ASIA_PACIFIC),
		new Country("Ireland","IE","IRL",Continent.EUROPE),
		new Country("Israel","IL","ISR",Continent.ASIA_PACIFIC),
		new Country("India","IN","IND",Continent.ASIA_PACIFIC),
		new Country("British Indian Ocean Territory","IO","IO",Continent.ASIA_PACIFIC),
		new Country("Iraq","IQ","IRQ",Continent.ASIA_PACIFIC),
		new Country("Iran, Islamic Republic of","IR","IRN",Continent.ASIA_PACIFIC),
		new Country("Iceland","IS","ISL",Continent.EUROPE),
		new Country("Italy","IT","ITA",Continent.EUROPE),
		new Country("Jamaica","JM","JAM",Continent.SOUTH_AMERICA),
		new Country("Jordan","JO","JOR",Continent.ASIA_PACIFIC),
		new Country("Japan","JP","JPN",Continent.ASIA_PACIFIC),
		new Country("Kenya","KE","KEN",Continent.AFRICA),
		new Country("Kyrgyzstan","KG","KGZ",Continent.ASIA_PACIFIC),
		new Country("Cambodia","KH","KHM",Continent.ASIA_PACIFIC),
		new Country("Kiribati","KI","KIR",Continent.OFF_CONTINENT),
		new Country("Comoros","KM","COM",Continent.AFRICA),
		new Country("Saint Kitts and Nevis","KN","KNA",Continent.SOUTH_AMERICA),
		new Country("Korea, Democratic People's Republic of","KP","PRK",Continent.ASIA_PACIFIC),
		new Country("Korea, Republic of","KR","KOR",Continent.ASIA_PACIFIC),
		new Country("Kuwait","KW","KWT",Continent.ASIA_PACIFIC),
		new Country("Cayman Islands","KY","CYM",Continent.SOUTH_AMERICA),
		new Country("Kazakhstan","KZ","KAZ",Continent.ASIA_PACIFIC),
		new Country("Lao People's Democratic Republic","LA","LAO",Continent.ASIA_PACIFIC),
		new Country("Lebanon","LB","LBN",Continent.ASIA_PACIFIC),
		new Country("Saint Lucia","LC","LCA",Continent.SOUTH_AMERICA),
		new Country("Liechtenstein","LI","LIE",Continent.EUROPE),
		new Country("Sri Lanka","LK","LKA",Continent.ASIA_PACIFIC),
		new Country("Liberia","LR","LBR",Continent.AFRICA),
		new Country("Lesotho","LS","LSO",Continent.AFRICA),
		new Country("Lithuania","LT","LTU",Continent.EUROPE),
		new Country("Luxembourg","LU","LUX",Continent.EUROPE),
		new Country("Latvia","LV","LVA",Continent.EUROPE),
		new Country("Libyan Arab Jamahiriya","LY","LBY",Continent.AFRICA),
		new Country("Morocco","MA","MAR",Continent.AFRICA),
		new Country("Monaco","MC","MCO",Continent.EUROPE),
		new Country("Moldova, Republic of","MD","MDA",Continent.EUROPE),
		new Country("Madagascar","MG","MDG",Continent.AFRICA),
		new Country("Marshall Islands","MH","MHL",Continent.OFF_CONTINENT),
		new Country("Macedonia","MK","MKD",Continent.EUROPE),
		new Country("Mali","ML","MLI",Continent.AFRICA),
		new Country("Myanmar","MM","MMR",Continent.ASIA_PACIFIC),
		new Country("Mongolia","MN","MNG",Continent.ASIA_PACIFIC),
		new Country("Macau","MO","MAC",Continent.ASIA_PACIFIC),
		new Country("Northern Mariana Islands","MP","MNP",Continent.OFF_CONTINENT),
		new Country("Martinique","MQ","MTQ",Continent.SOUTH_AMERICA),
		new Country("Mauritania","MR","MRT",Continent.AFRICA),
		new Country("Montserrat","MS","MSR",Continent.SOUTH_AMERICA),
		new Country("Malta","MT","MLT",Continent.EUROPE),
		new Country("Mauritius","MU","MUS",Continent.AFRICA),
		new Country("Maldives","MV","MDV",Continent.ASIA_PACIFIC),
		new Country("Malawi","MW","MWI",Continent.AFRICA),
		new Country("Mexico","MX","MEX",Continent.NORTH_AMERICA),
		new Country("Malaysia","MY","MYS",Continent.ASIA_PACIFIC),
		new Country("Mozambique","MZ","MOZ",Continent.AFRICA),
		new Country("Namibia","NA","NAM",Continent.AFRICA),
		new Country("New Caledonia","NC","NCL",Continent.OFF_CONTINENT),
		new Country("Niger","NE","NER",Continent.AFRICA),
		new Country("Norfolk Island","NF","NFK",Continent.OFF_CONTINENT),
		new Country("Nigeria","NG","NGA",Continent.AFRICA),
		new Country("Nicaragua","NI","NIC",Continent.SOUTH_AMERICA),
		new Country("Netherlands","NL","NLD",Continent.EUROPE),
		new Country("Norway","NO","NOR",Continent.EUROPE),
		new Country("Nepal","NP","NPL",Continent.ASIA_PACIFIC),
		new Country("Nauru","NR","NRU",Continent.OFF_CONTINENT),
		new Country("Niue","NU","NIU",Continent.OFF_CONTINENT),
		new Country("New Zealand","NZ","NZL",Continent.OFF_CONTINENT),
		new Country("Oman","OM","OMN",Continent.ASIA_PACIFIC),
		new Country("Panama","PA","PAN",Continent.SOUTH_AMERICA),
		new Country("Peru","PE","PER",Continent.SOUTH_AMERICA),
		new Country("French Polynesia","PF","PYF",Continent.OFF_CONTINENT),
		new Country("Papua New Guinea","PG","PNG",Continent.OFF_CONTINENT),
		new Country("Philippines","PH","PHL",Continent.ASIA_PACIFIC),
		new Country("Pakistan","PK","PAK",Continent.ASIA_PACIFIC),
		new Country("Poland","PL","POL",Continent.EUROPE),
		new Country("Saint Pierre and Miquelon","PM","SPM",Continent.SOUTH_AMERICA),
		new Country("Pitcairn Islands","PN","PCN",Continent.OFF_CONTINENT),
		new Country("Puerto Rico","PR","PRI",Continent.SOUTH_AMERICA),
		new Country("Palestinian Territory, Occupied","PS","PSE",Continent.ASIA_PACIFIC),
		new Country("Portugal","PT","PRT",Continent.EUROPE),
		new Country("Palau","PW","PLW",Continent.OFF_CONTINENT),
		new Country("Paraguay","PY","PRY",Continent.SOUTH_AMERICA),
		new Country("Qatar","QA","QAT",Continent.ASIA_PACIFIC),
		new Country("Reunion","RE","REU",Continent.AFRICA),
		new Country("Romania","RO","ROU",Continent.EUROPE),
		new Country("Russian Federation","RU","RUS",Continent.ASIA_PACIFIC),
		new Country("Rwanda","RW","RWA",Continent.AFRICA),
		new Country("Saudi Arabia","SA","SAU",Continent.ASIA_PACIFIC),
		new Country("Solomon Islands","SB","SLB",Continent.OFF_CONTINENT),
		new Country("Seychelles","SC","SYC",Continent.AFRICA),
		new Country("Sudan","SD","SDN",Continent.AFRICA),
		new Country("Sweden","SE","SWE",Continent.EUROPE),
		new Country("Singapore","SG","SGP",Continent.ASIA_PACIFIC),
		new Country("Saint Helena","SH","SHN",Continent.AFRICA),
		new Country("Slovenia","SI","SVN",Continent.EUROPE),
		new Country("Svalbard and Jan Mayen","SJ","SJM",Continent.EUROPE),
		new Country("Slovakia","SK","SVK",Continent.EUROPE),
		new Country("Sierra Leone","SL","SLE",Continent.AFRICA),
		new Country("San Marino","SM","SMR",Continent.EUROPE),
		new Country("Senegal","SN","SEN",Continent.AFRICA),
		new Country("Somalia","SO","SOM",Continent.AFRICA),
		new Country("Suriname","SR","SUR",Continent.SOUTH_AMERICA),
		new Country("Sao Tome and Principe","ST","STP",Continent.AFRICA),
		new Country("El Salvador","SV","SLV",Continent.SOUTH_AMERICA),
		new Country("Syrian Arab Republic","SY","SYR",Continent.ASIA_PACIFIC),
		new Country("Swaziland","SZ","SWZ",Continent.AFRICA),
		new Country("Turks and Caicos Islands","TC","TCA",Continent.SOUTH_AMERICA),
		new Country("Chad","TD","TCD",Continent.AFRICA),
		new Country("French Southern Territories","TF","TF",Continent.AFRICA),
		new Country("Togo","TG","TGO",Continent.AFRICA),
		new Country("Thailand","TH","THA",Continent.ASIA_PACIFIC),
		new Country("Tajikistan","TJ","TJK",Continent.ASIA_PACIFIC),
		new Country("Tokelau","TK","TKL",Continent.OFF_CONTINENT),
		new Country("Turkmenistan","TM","TLS",Continent.ASIA_PACIFIC),
		new Country("Tunisia","TN","TKM",Continent.AFRICA),
		new Country("Tonga","TO","TUN",Continent.OFF_CONTINENT),
		new Country("East Timor","TP","TON",Continent.ASIA_PACIFIC),
		new Country("Turkey","TR","TUR",Continent.ASIA_PACIFIC),
		new Country("Trinidad and Tobago","TT","TTO",Continent.SOUTH_AMERICA),
		new Country("Tuvalu","TV","TUV",Continent.OFF_CONTINENT),
		new Country("Taiwan","TW","TWN",Continent.ASIA_PACIFIC),
		new Country("Tanzania, United Republic of","TZ","TZA",Continent.AFRICA),
		new Country("Ukraine","UA","UKR",Continent.EUROPE),
		new Country("Uganda","UG","UGA",Continent.AFRICA),
		new Country("United States Minor Outlying Islands","UM","UM",Continent.OFF_CONTINENT),
		new Country("United States of America","US","USA",Continent.NORTH_AMERICA),
		new Country("Uruguay","UY","URY",Continent.SOUTH_AMERICA),
		new Country("Uzbekistan","UZ","UZB",Continent.ASIA_PACIFIC),
		new Country("Holy See (Vatican City State)","VA","VAT",Continent.EUROPE),
		new Country("Saint Vincent and the Grenadines","VC","VCT",Continent.SOUTH_AMERICA),
		new Country("Venezuela","VE","VEN",Continent.SOUTH_AMERICA),
		new Country("Virgin Islands, British","VG","VGB",Continent.SOUTH_AMERICA),
		new Country("Virgin Islands, U.S.","VI","VIR",Continent.SOUTH_AMERICA),
		new Country("Vietnam","VN","VNM",Continent.ASIA_PACIFIC),
		new Country("Vanuatu","VU","VUT",Continent.OFF_CONTINENT),
		new Country("Wallis and Futuna","WF","WLF",Continent.OFF_CONTINENT),
		new Country("Samoa","WS","WSM",Continent.OFF_CONTINENT),
		new Country("Yemen","YE","YEM",Continent.ASIA_PACIFIC),
		new Country("Mayotte","YT","YT",Continent.AFRICA),
		new Country("Yugoslavia","YU","YUG",Continent.EUROPE),
		new Country("South Africa","ZA","ZAF",Continent.AFRICA),
		new Country("Zambia","ZM","ZMB",Continent.AFRICA),
		new Country("Zaire","ZR","ZR",Continent.AFRICA),
		new Country("Zimbabwe","ZW","ZWE",Continent.AFRICA),
		new Country("Anonymous Proxy","A1","A1","--"),
		new Country("Satellite Provider","A2","A2","--"),
		new Country("Other","O1","O1","--")
	};
}
